Aller au contenu

Echanges de fichiers

Demande de support, partage d'expériences sur l'échange de données CAO entre différents logiciels.


257 sujets dans ce forum

  1. Hachures pavés

    • 4 réponses
    • 4,4 k vues
  2. Camion pompiers

    • 7 réponses
    • 9 k vues
  3. Hachures murs

    • 3 réponses
    • 3,3 k vues
  4. Homme sur échelle

    • 3 réponses
    • 3,2 k vues
  5. Hachurage gravier

    • 6 réponses
    • 5,3 k vues
    • 0 réponse
    • 2,1 k vues
  6. Fenêtre PCV en coupe

    • 1 réponse
    • 2,5 k vues
  7. Légende élec.

    • 5 réponses
    • 3,5 k vues
    • 1 réponse
    • 2,4 k vues
    • 2 réponses
    • 2,5 k vues
    • 0 réponse
    • 2 k vues
  8. [Résolu] RIA

    • 7 réponses
    • 7,4 k vues
  9. RenaultL

    • 1 réponse
    • 2,4 k vues
  10. Polantis blocs 2D-3D

    • 6 réponses
    • 3,4 k vues
    • 0 réponse
    • 2,4 k vues
  11. écran acoustique

    • 0 réponse
    • 2,1 k vues
    • 15 réponses
    • 7,8 k vues
    • 4 réponses
    • 4,8 k vues
    • 2 réponses
    • 2,9 k vues
  12. Recherche des blocs

    • 2 réponses
    • 2,8 k vues
  13. DWG TrueConvert

    • 3 réponses
    • 18,5 k vues
  14. DWG vs DWG Ou MAC vs Pc

    • 3 réponses
    • 3,7 k vues
    • 0 réponse
    • 2,7 k vues
  15. C4 Picasso

    • 0 réponse
    • 2,4 k vues
    • 2 réponses
    • 2,8 k vues


  • Statistiques des forums

    • Total des sujets
      47,3 k
    • Total des messages
      286,7 k
  • Sujets

  • Messages

    • @doud69, Petite question: As-tu un AutoCAD ou bien un AutoCAD LT ?! Si c'est bien un AutoCAD, la ligne de code proposée par @lecrabe et @didier fonctionne sans soucis... Si c'est AutoCAD LT, alors oublie la programmation LISP car ce n'est pas supporté par les versions LT. Avant même de partir sur une ligne de code, peux-tu nous dire si les propositions vanilla ci-dessous te conviennent et si non, pourquoi exactement ? 1. ] Commande SUPCALQUE 2. ] Commande FUSCALQUE 3. ] Commande SELECTRAP PS: Je n'ai toujours pas compris si cette demande est ponctuelle ou si tu as besoin de faire cette démarche régulièrement ? Car si tu as besoin de faire la démarche régulièrement, c'est bien par de la programmation (LISP, Script, VBA, ...) qu'il faudrait se tourner et auquel cas, il faudrait un peu plus de renseignements... Bisous, Luna
    • Comme j'ai dit, il faut que (getkword) soit associé à (initget) ^^" Donc c'est plus quelque chose comme chat (avec quelques modifications en plus évidemment pour prendre en compte les différences entre (getstring) et (getkword)) : (defun c:FOOo (/ str att lst suf break) (setq str "Coude_DN") ; (setq str (getstring T "\nRenseigner le préfixe : ")) (setq att (getvar "ATTDIA")) (setvar "ATTDIA" 0) (setq lst "15 20 25 32 40 50 65 80 100 125 150 200 250 300 350 400 450 500") (while (and (not break) (null (initget lst)) (or (setq suf (getkword (strcat "\nType de conduite DN [" (vl-string-translate " " "/" lst) "/Quitter] <100> : " str))) (setq suf "100") ) ) (if (= "Quitter" suf) (setq break T) (progn (command "_-INSERT" (strcat str suf) pause 1 1 pause) (while (= 1 (getvar "CMDACTIVE")) (command "")) ) ) ) (setvar "ATTDIA" att) (princ) ) PS: Je ne l'ai pas testé cependant donc à voir... Bisous, Luna
    • Bonjour @FRAXA Relancer un sujet si vieux n'est pas toujours une bonne idée. Les liens vers les images sont morts et on ne sait pas vraiment quel est le résultat à atteindre. Ni ce qu'on a comme entité au départ. Merci de commencer un nouveau sujet, ou de compléter celui-ci pour qu'on puisse s'y mettre. Amicalement
    • bon je suis arrive a modifie ton lisp 🥳 par contre j ai un soucis c'est quant il relance la demande , je valide ou choisi un autre diamètre il me dit donne incorrect 😟 (defun c:FOOo (/ att str suf)   (setq str "CPC_DN") ; (setq str (getstring T "\nRenseigner le préfixe : "))   (setq att (getvar "ATTDIA"))   (setvar "ATTDIA" 0)  (initget "032 040 100")       (while (/= "" (setq suf (getkword "\ndiametre DN [032/040/100]? <100>: ")))     (command "_-INSERT" (strcat str suf) pause 1 1 pause)     (while (= 1 (getvar "CMDACTIVE")) (command ""))     )   (setvar "ATTDIA" att)   (princ) )
    • Bonjour à tous, Je relance ce sujet car je souhaite additionner la valeur "Remplacement de texte" de mes cotations (isométrie). J'ai remplacé " vla-get-measurement x " par " vla-get-TextOverride x " mais j'obtiens un message d'erreur " erreur: type d'argument incorrect: numberp:..." Est-il possible d'additionner les valeurs de "Remplacement de texte"?
  • Sujets

×
×
  • Créer...

Information importante

Nous avons placé des cookies sur votre appareil pour aider à améliorer ce site. Vous pouvez choisir d’ajuster vos paramètres de cookie, sinon nous supposerons que vous êtes d’accord pour continuer. Politique de confidentialité